#
# TODO:
#	- build and package the 'tests' (sample programs)
#		should be conditional, as adds BR!
#
# Conditional build:
%bcond_without	mmx		# use MMX instructions
%bcond_without	sse		# use SSE instructions
%bcond_with	tests		# test programs

%ifnarch athlon pentium3 pentium4 %{x8664} x32
%undefine	with_mmx
%endif
%ifnarch pentium3 pentium4 %{x8664} x32
%undefine	with_sse
%endif

Summary:	DSP functions for telephony
Summary(pl.UTF-8):	Funkcje DSP dla telefonii
Name:		spandsp
Version:	0.0.6
Release:	2
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	https://www.soft-switch.org/downloads/spandsp/%{name}-%{version}.tar.gz
# Source0-md5:	897d839516a6d4edb20397d4757a7ca3
Patch0:		x32.patch
URL:		https://www.soft-switch.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9.5
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	doxygen
%{?with_tests:BuildRequires:	fftw3-common-devel}
%{?with_tests:BuildRequires:	fftw3-devel}
BuildRequires:	fltk-devel
BuildRequires:	libjpeg-devel
%{?with_tests:BuildRequires:	libpcap-devel}
%{?with_tests:BuildRequires:	libsndfile-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
%{?with_tests:BuildRequires:	libtiff-progs}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxslt-progs
%{?with_tests:BuildRequires:	netpbm-progs}
BuildRequires:	pkgconfig
%{?with_tests:BuildRequires:	sox}
%{?with_tests:BuildRequires:	xorg-lib-libX11-devel}
%{?with_tests:BuildRequires:	xorg-lib-libXext-devel}
%{?with_tests:BuildRequires:	xorg-lib-libXft-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
spandsp is a library which provides many of the DSP functions needed
for telephony. It is designed to be independent of the telephony
platform itself.

%description -l pl.UTF-8
spandsp to biblioteka udostępniająca wiele funkcji DSP potrzebnych dla
telefonii. Jest zaprojektowana tak, by była niezależna od samej
platformy telefonicznej.

%package devel
Summary:	Header files to develop applications using spandsp
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji używających spandsp
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libtiff-devel

%description devel
Header files for the spandsp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki spandsp.

%package static
Summary:	Static spandsp library
Summary(pl.UTF-8):	Statyczna biblioteka spandsp
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static spandsp library.

%description static -l pl.UTF-8
Statyczna biblioteka spandsp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-doc \
	%{?with_mmx:--enable-mmx} \
	%{?with_sse:--enable-sse} \
	%{?with_tests:--enable-tests}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DueDiligence NEWS README
%attr(755,root,root) %{_libdir}/libspandsp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspandsp.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspandsp.so
%{_libdir}/libspandsp.la
%{_includedir}/spandsp
%{_includedir}/spandsp.h
%{_pkgconfigdir}/spandsp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libspandsp.a
%changelog
* Sat Jul 27 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/spandsp.git;a=log;h=master

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> bba245e
- updated URLs

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 0d11b40
- rebuild without libjpeg.la
- release 2 (by relup.sh)

* Mon Jul 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 184822d
- updated to 0.0.6 release
- updated x32 patch

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 56b22e6
- x32 rebuild
- release 4 (by relup.sh)

* Wed Apr 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> ce02257
- added x32.patch

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 18b2bb4
- convert inline mmx, sse checks into bconds

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> ef2f8b9
- cleanup

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 491a6f4
- update/cleanup BR

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> baecf19
- updated to 0.0.6pre20

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 576f295
- rel 2

* Mon Apr 04 2011 Jacek Konieczny <jajcus@pld-linux.org> 61f25af
- disable 'tests' building (these are not automated code tests) – these only
  added insane build dependencies for nothing in the RPM

* Sat Apr 02 2011 zbyniu <zbyniu@pld-linux.org> 505ec16
- up to 0.0.6pre18

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 76c216f
- drop obsolete files

* Sat May 16 2009 hawk <hawk@pld-linux.org> 47cd7b6
- updated to 0.0.6pre12

* Fri Apr 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 64b026a
- more verbose files, ghost soname symlink
- devel dep

* Sun Mar 08 2009 duddits <duddits@pld-linux.org> a12247a
- up to 0.0.6pre5
- BR: pkgconfig
- more %files

* Tue Jun 24 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 281381c
- up to 0.0.5 pre5

* Sun Jun 22 2008 areq <areq@pld-linux.org> e81f3ae
- fix empty log

* Sun Jun 22 2008 areq <areq@pld-linux.org> 41b2f9d
- 0.0.5pre3

* Sat Apr 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 760db41
- up to pre18

